Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Declarations/Attributes/Attributes.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Declarations/Attributes/Attributes.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Declarations/Attributes/Attributes.cs	(revision 4068)
@@ -1,188 +1,173 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Abstract base class for the attributes related to serialization
+  /// </summary>
+  public abstract class BaseAttribute : System.Attribute {
+    #region Fields
     /// <summary>
-    /// Abstract base class for the attributes related to serialization
+    /// the key of the shape, usually a GUID
     /// </summary>
-    public abstract class BaseAttribute : System.Attribute
-    {
-        #region Fields
-        /// <summary>
-        /// the key of the shape, usually a GUID
-        /// </summary>
-        protected string mKey;
-        /// <summary>
-        /// the name of the shape
-        /// </summary>
-        protected string mName;       
-        /// <summary>
-        /// a description
-        /// </summary>
-        protected string mDescription = "No description available.";
-        /// <summary>
-        /// whether the shape is only accessible via code or internally
-        /// </summary>
-        protected bool mIsInternal;
-        #endregion
+    protected string mKey;
+    /// <summary>
+    /// the name of the shape
+    /// </summary>
+    protected string mName;
+    /// <summary>
+    /// a description
+    /// </summary>
+    protected string mDescription = "No description available.";
+    /// <summary>
+    /// whether the shape is only accessible via code or internally
+    /// </summary>
+    protected bool mIsInternal;
+    #endregion
 
-        #region Properties
-        
-        /// <summary>
-        /// Gets a mDescription of the shape
-        /// </summary>
-        public string Description
-        {
-            get { return mDescription; }
-        }
-        /// <summary>
-        /// Gets the unique identifier of the shape
-        /// </summary>
-        public string Key
-        {
-            get { return mKey; }
-        }
-        /// <summary>
-        /// Gets the shape name
-        /// </summary>
-        public string Name
-        {
-            get { return mName; }
-        }
-        /// <summary>
-        /// Gets whether the entity is available via the interface or false if only via code
-        /// </summary>
-        public bool IsInternal
-        {
-            get { return mIsInternal; }
-        }
-        #endregion
+    #region Properties
+
+    /// <summary>
+    /// Gets a mDescription of the shape
+    /// </summary>
+    public string Description {
+      get { return mDescription; }
     }
     /// <summary>
-    /// Attribute to tag a class as a diagram shape
+    /// Gets the unique identifier of the shape
     /// </summary>
-    [Serializable, AttributeUsage(AttributeTargets.Class)]
-    public class ShapeAttribute : BaseAttribute
-    {
-        #region Fields
+    public string Key {
+      get { return mKey; }
+    }
+    /// <summary>
+    /// Gets the shape name
+    /// </summary>
+    public string Name {
+      get { return mName; }
+    }
+    /// <summary>
+    /// Gets whether the entity is available via the interface or false if only via code
+    /// </summary>
+    public bool IsInternal {
+      get { return mIsInternal; }
+    }
+    #endregion
+  }
+  /// <summary>
+  /// Attribute to tag a class as a diagram shape
+  /// </summary>
+  [Serializable, AttributeUsage(AttributeTargets.Class)]
+  public class ShapeAttribute : BaseAttribute {
+    #region Fields
 
-        /// <summary>
-        /// the cateogry under which it will stay
-        /// </summary>
-        protected string mCategory;
+    /// <summary>
+    /// the cateogry under which it will stay
+    /// </summary>
+    protected string mCategory;
 
-        #endregion
+    #endregion
 
-        #region Properties
+    #region Properties
 
-        /// <summary>
-        /// Gets the category of the shape under which it will reside in a viewer
-        /// </summary>
-        public string Category
-        {
-            get { return mCategory; }
+    /// <summary>
+    /// Gets the category of the shape under which it will reside in a viewer
+    /// </summary>
+    public string Category {
+      get { return mCategory; }
 
-        }
-        #endregion
+    }
+    #endregion
 
-        #region Constructor
-        /// <summary>
-        /// Constructor, marks a class as a shape-class for the Netron graph library
-        /// </summary>
-        /// <param name="mShapeName"></param>
-        /// <param name="mShapeKey"></param>
-        /// <param name="mCategory"></param>
-        /// <param name="reflectionName"></param>
-        public ShapeAttribute(
-            string shapeName, 
-            string shapeKey, 
-            string category)
-        {
-            this.mName = shapeName;
-            this.mKey = shapeKey;
-            this.mCategory = category;
-        }
-        /// <summary>
-        /// Constructor, marks a class as a shape-class for the Netron graph library
-        /// </summary>
-        /// <param name="mShapeName"></param>
-        /// <param name="mShapeKey"></param>
-        /// <param name="mCategory"></param>
-        /// <param name="reflectionName"></param>
-        /// <param name="mDescription"></param>
-        public ShapeAttribute(
-            string shapeName, 
-            string shapeKey, 
-            string category, 
-            string description) : 
-            this(shapeName, shapeKey, category)
-        {
-            this.mDescription = description;
-        }
-        /// <summary>
-        /// Constructor, marks a class as a shape-class for the Netron graph library
-        /// </summary>
-        /// <param name="mShapeName"></param>
-        /// <param name="mShapeKey"></param>
-        /// <param name="mCategory"></param>
-        /// <param name="reflectionName"></param>
-        /// <param name="mDescription"></param>
-        /// <param name="internalUsage"></param>
-        public ShapeAttribute(
-            string shapeName, 
-            string shapeKey, 
-            string category, 
-            string description, 
-            bool internalUsage) : 
-            this(shapeName, shapeKey, category, description)
-        {
-            this.mIsInternal = internalUsage;
-        }
-        #endregion
+    #region Constructor
+    /// <summary>
+    /// Constructor, marks a class as a shape-class for the Netron graph library
+    /// </summary>
+    /// <param name="mShapeName"></param>
+    /// <param name="mShapeKey"></param>
+    /// <param name="mCategory"></param>
+    /// <param name="reflectionName"></param>
+    public ShapeAttribute(
+        string shapeName,
+        string shapeKey,
+        string category) {
+      this.mName = shapeName;
+      this.mKey = shapeKey;
+      this.mCategory = category;
+    }
+    /// <summary>
+    /// Constructor, marks a class as a shape-class for the Netron graph library
+    /// </summary>
+    /// <param name="mShapeName"></param>
+    /// <param name="mShapeKey"></param>
+    /// <param name="mCategory"></param>
+    /// <param name="reflectionName"></param>
+    /// <param name="mDescription"></param>
+    public ShapeAttribute(
+        string shapeName,
+        string shapeKey,
+        string category,
+        string description) :
+      this(shapeName, shapeKey, category) {
+      this.mDescription = description;
+    }
+    /// <summary>
+    /// Constructor, marks a class as a shape-class for the Netron graph library
+    /// </summary>
+    /// <param name="mShapeName"></param>
+    /// <param name="mShapeKey"></param>
+    /// <param name="mCategory"></param>
+    /// <param name="reflectionName"></param>
+    /// <param name="mDescription"></param>
+    /// <param name="internalUsage"></param>
+    public ShapeAttribute(
+        string shapeName,
+        string shapeKey,
+        string category,
+        string description,
+        bool internalUsage) :
+      this(shapeName, shapeKey, category, description) {
+      this.mIsInternal = internalUsage;
+    }
+    #endregion
 
-        #region Methods
+    #region Methods
 
 
-        #endregion
+    #endregion
+  }
+
+  /// <summary>
+  /// Attribute to tag a class as a Netron connection
+  /// </summary>
+  [Serializable]
+  public class ConnectionAttribute : BaseAttribute {
+    #region Fields
+
+
+    #endregion
+
+    #region Properties
+
+
+    #endregion
+
+    #region Constructor
+
+    /// <summary>
+    /// Constructor
+    /// </summary>
+    /// <param name="connectionName"></param>
+    /// <param name="key"></param>
+    /// <param name="reflectionName"></param>
+    public ConnectionAttribute(string connectionName, string key) {
+      this.mKey = key;
+      this.mName = connectionName;
     }
 
-    /// <summary>
-    /// Attribute to tag a class as a Netron connection
-    /// </summary>
-    [Serializable]
-    public class ConnectionAttribute : BaseAttribute
-    {
-        #region Fields
+    #endregion
+
+    #region Methods
 
 
-        #endregion
-
-        #region Properties
-
-
-        #endregion
-
-        #region Constructor
-
-        /// <summary>
-        /// Constructor
-        /// </summary>
-        /// <param name="connectionName"></param>
-        /// <param name="key"></param>
-        /// <param name="reflectionName"></param>
-        public ConnectionAttribute(string connectionName, string key)
-        {
-            this.mKey = key;
-            this.mName = connectionName;
-        }
-
-        #endregion
-
-        #region Methods
-
-
-        #endregion
-    }
+    #endregion
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Declarations/Delegates/Delegates.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Declarations/Delegates/Delegates.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Declarations/Delegates/Delegates.cs	(revision 4068)
@@ -1,83 +1,81 @@
 using System;
-using System.Windows.Forms;
 
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
-    /// <summary>
-    /// Delegate for the current page changed event.
-    /// </summary>
-    /// <param name="sender">object</param>
-    /// <param name="e">PageEventArgs</param>
-    // ----------------------------------------------------------------------
-    public delegate void CurrentPageChangedEventHandler(
-        object sender,
-        PageEventArgs e);
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// Delegate for the current page changed event.
+  /// </summary>
+  /// <param name="sender">object</param>
+  /// <param name="e">PageEventArgs</param>
+  // ----------------------------------------------------------------------
+  public delegate void CurrentPageChangedEventHandler(
+      object sender,
+      PageEventArgs e);
 
-    // ----------------------------------------------------------------------
-    /// <summary>
-    /// Delegate for the page added event.
-    /// </summary>
-    /// <param name="sender">object</param>
-    /// <param name="e">PageEventArgs</param>
-    // ----------------------------------------------------------------------
-    public delegate void PageAddedEventHandler(
-        object sender,
-        PageEventArgs e);
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// Delegate for the page added event.
+  /// </summary>
+  /// <param name="sender">object</param>
+  /// <param name="e">PageEventArgs</param>
+  // ----------------------------------------------------------------------
+  public delegate void PageAddedEventHandler(
+      object sender,
+      PageEventArgs e);
 
-    // ----------------------------------------------------------------------
-    /// <summary>
-    ///  Delegate for the PaintStyleChanged event.
-    /// </summary>
-    /// <param name="sender">object</param>
-    /// <param name="e">PaintStyleChangedEventArgs</param>
-    // ----------------------------------------------------------------------
-    public delegate void PaintStyleChangedEventHandler(object sender,
-            PaintStyleChangedEventArgs e);
+  // ----------------------------------------------------------------------
+  /// <summary>
+  ///  Delegate for the PaintStyleChanged event.
+  /// </summary>
+  /// <param name="sender">object</param>
+  /// <param name="e">PaintStyleChangedEventArgs</param>
+  // ----------------------------------------------------------------------
+  public delegate void PaintStyleChangedEventHandler(object sender,
+          PaintStyleChangedEventArgs e);
 
-    // ----------------------------------------------------------------------
-    /// <summary>
-    ///  Delegate for the TextStyleChanged event.
-    /// </summary>
-    /// <param name="sender">object</param>
-    /// <param name="e">TextStyleChangedEventArgs</param>
-    // ----------------------------------------------------------------------
-    public delegate void TextStyleChangedEventHandler(object sender,
-            TextStyleChangedEventArgs e);
+  // ----------------------------------------------------------------------
+  /// <summary>
+  ///  Delegate for the TextStyleChanged event.
+  /// </summary>
+  /// <param name="sender">object</param>
+  /// <param name="e">TextStyleChangedEventArgs</param>
+  // ----------------------------------------------------------------------
+  public delegate void TextStyleChangedEventHandler(object sender,
+          TextStyleChangedEventArgs e);
 
-    // ----------------------------------------------------------------------
-	/// <summary>
-	/// Information regarding the addition of a new item to the collection.
-    /// </summary>
-    // ----------------------------------------------------------------------
-    public delegate void CollectionAddInfo<T>(
-    CollectionBase<T> collection, 
-    EntityEventArgs e);
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// Information regarding the addition of a new item to the collection.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public delegate void CollectionAddInfo<T>(
+  CollectionBase<T> collection,
+  EntityEventArgs e);
 
-    // ----------------------------------------------------------------------
-    /// <summary>
-	/// Information regarding the removal of an item from the collection.
-    /// </summary>
-    // ----------------------------------------------------------------------
-    public delegate void CollectionRemoveInfo<T>(
-    CollectionBase<T> collection, 
-    EntityEventArgs e);
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// Information regarding the removal of an item from the collection.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public delegate void CollectionRemoveInfo<T>(
+  CollectionBase<T> collection,
+  EntityEventArgs e);
 
-    // ----------------------------------------------------------------------
-    /// <summary>
-	/// Information regarding the removal/clear of all items from the 
-    /// collection.
-    /// </summary>
-    // ----------------------------------------------------------------------
-    public delegate void CollectionClearInfo<T>(
-    CollectionBase<T> collection, 
-    EventArgs e);
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// Information regarding the removal/clear of all items from the 
+  /// collection.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public delegate void CollectionClearInfo<T>(
+  CollectionBase<T> collection,
+  EventArgs e);
 
-    // ----------------------------------------------------------------------
-    /// <summary>
-	/// The info coming with the show-props event.
-    /// </summary>
-    // ----------------------------------------------------------------------
-	public delegate void PropertiesInfo(object ent);	
-	
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// The info coming with the show-props event.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public delegate void PropertiesInfo(object ent);
+
 }
